Skip to main content
POST
/
projects
Create project
curl --request POST \
  --url https://api.pickfu.com/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "goal": "<string>",
    "archived": true,
    "bookmarked": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "url": "<string>",
    "user": "<string>",
    "surveyCount": 123,
    "surveys": [
      {
        "id": "<string>",
        "name": "<string>",
        "url": "<string>",
        "status": "<string>",
        "type": "<string>",
        "countryCode": "<string>",
        "sampleSize": 123,
        "numResponses": 123,
        "createdAt": "<string>",
        "publishedAt": "<string>",
        "completedAt": "<string>",
        "creatorName": "<string>",
        "targeting": [
          "<string>"
        ],
        "tags": [
          {
            "id": 123,
            "name": "<string>"
          }
        ],
        "projects": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "elements": [
          {
            "id": "<string>",
            "question": "<string>",
            "subtype": "<string>",
            "variant": "<string>",
            "position": 123
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.pickfu.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}

Body

application/json
name
string

Project name

Maximum string length: 255
description
string

Project description

Maximum string length: 5000

Response

201 - application/json

Default Response

success
boolean
data
object